package com.jeeplus.modules.sg.project.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.overheadline.entity.JkxlAdjustFee;
import com.jeeplus.modules.sg.overheadline.entity.JkxlDetailFee;
import com.jeeplus.modules.sg.overheadline.entity.Settlement;
import com.jeeplus.modules.sg.project.entity.WbsItem;
import com.jeeplus.modules.sg.project.entity.WbsProject;
import com.jeeplus.modules.sg.project.entity.WbsSelection;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisMapper
public interface ProjectMapper extends BaseMapper<WbsProject> {
    //获取工程信息
    List<WbsProject> getList(WbsSelection wbsSelection);

    //更新工程信息
    void updateNum(@Param("number") int number,@Param("id") String id);

    //根据工程名获取工程
    List<WbsProject> findByName(String projectName);

    //工程删除
    Integer deleteProject(WbsProject wbsProject);

    //根据id查找工程
    WbsProject findProjectById(String id);

    //根据id修改工程数量
    Integer updateProNumber(WbsProject wbsProject);
}
